<? include("../header_subnivel1.php");?>
 
<?  
con_ver();
?>	
 <style type="text/css">
.botonExcel{
	cursor:pointer;
	text-decoration:underline;
	color:#00AF4B;
}
.link{
	cursor:pointer;
	text-decoration:underline;
	color:#00AF4B;
}
</style>

<script language="javascript">
function Guardar_liberacion(referencia,referencia_cliente){
	var laDatos = valores_forma(document.form_liberacion);
		$.post( "guardarliberacion.php?referencia="+referencia+"&referencia_cliente="+referencia_cliente,
			   $(laDatos),
				function FuncionRecepcion(respuesta) {
					var laRespuesta = eval('(' + respuesta + ')');
					if ( laRespuesta != null ) {
						var laActions = laRespuesta["actions"];
						var liIdx;
						for ( liIdx=0 ; liIdx<laActions.length ; liIdx++ )
							eval( laActions[liIdx] );
					}
				});
 
}
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#exportar").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
 
</script>   
<div align="justify" style="line-height:18px;margin-top:-20px; position:absolute;width: 960px; height:100%;">



<span style="color:#00AF4B">Ingrese su búsqueda &raquo;</span><br />

<br />
<? 
con_ver();
$referencia = $_POST[referencia] != '' ? strtoupper(trim($_POST[referencia])) : urldecode($_GET[ref_encoded]);
$referencia_cliente = strtoupper(trim($_POST[referencia_cliente]));

if($referencia!=''){
	$referencia_cliente='';
}

if($referencia_cliente!=''){
	$referencia='';
}


$booking = trim($_POST[booking]);

$interteam = 1;


if($booking!=''){
	$interteam = 0;
}else{
	
	$link_impo=con_impo();$link=con_ver();
	
	$files = busquedaB($link_impo,"select files from datosexpint where referencia_interteam = '".trim($referencia_cliente)."' and referencia_interteam<>''","files");

		if(trim($referencia_cliente)!=''){
			
			$interteam = 2;
			$rcq = mysqli_query($link,"select distinct referencia  from hblexpint where referencia like '".$_POST[referencia_cliente]."' and referencia<>''");
			$rc=mysqli_fetch_array($rcq);
			$referencia_cliente=$rc[0];
			$referencia = busquedaB($link_ver,"select referencia from referencias_veracruz where referencia_cliente = '".$referencia_cliente."' and referencia_cliente<>''","referencia");
		}
		
		if(trim($referencia)!=''){
		 
			$interteam = 4;
			$valro = data($link_ver,"select * from referencias_veracruz where referencia like '".$referencia."%' and referencia<>''");
			$referencia_cliente=$valro[referencia_cliente];
			$referencia=$valro[referencia];
		}
		if($referencia_cliente=='') {$referencia_cliente = $_POST[referencia_cliente];}
		if($referencia=='') {$referencia = $_POST[referencia];}
		if($files=='') {$interteam = 2;}else{$interteam=1;}
		

}


	
if($_GET[interteam]==1){
	$interteam = 1;
}

con_ver();
			
$referencia_cliente = ($_GET[referencia_cliente]!='' ? $_GET[referencia_cliente] : $referencia_cliente);
$referencia = ($_GET[referencia]!='' ? $_GET[referencia] : $referencia);
$booking = ($_GET[booking]!='' ? $_GET[booking] : $booking);
if($booking!=''){
	$referencia='';
	$referencia_cliente = '';
	$interteam=0;
}

$referencia_cliente = ($_GET[txtreferencia_cliente]!='' ? $_GET[txtreferencia_cliente] : $referencia_cliente); 

$referencia = ($_GET[referencia]!='' ? $_GET[referencia] : $referencia); 


if($_POST[referencia]!='' or $_GET[referencia]!=''){
	$referencia_cliente='';
	$interteam = 4;	
	//echo 'aaaa<br>';
}else{
	if($_POST[referencia_cliente]!=''){
		$referencia='';
		//echo 'bbbb<br>';
	}
}



if($_GET[ref_encoded]!=''){
	$ref_encoded = urldecode($_GET[ref_encoded]);
$referencia_cliente='';
}


//echo 'referencia cliente '.$referencia_cliente.' referencia '.$referencia;
?>

   <div id="comienzo"></div> 
<form name="form1" id="form1" method="post" action="index.php">
  <table width="457" style="line-height:22px"  >
    <tr >
    <td width="167" id="t_nombre">Referencia puerto    </td>
    <td width="245"><input type="text" class="aa" name="referencia" id="referencia" size="40" value="<?=$ref_encoded!='' ? $ref_encoded : $referencia?>"  onblur="document.getElementById('booking').value='';document.getElementById('referencia_cliente').value='';"
      onkeypress="document.getElementById('booking').value='';document.getElementById('referencia_cliente').value='';"
      onkeyup="document.getElementById('booking').value='';document.getElementById('referencia_cliente').value='';" /></td>
    </tr>
    
    <tr>
      <td>Referencia Cliente</td>
      <td align="left"><input type="text" class="aa" name="referencia_cliente" id="referencia_cliente" size="40" value="<?=$referencia_cliente?>" onBlur="document.getElementById('booking').value='';document.getElementById('referencia').value='';"
      onkeypress="document.getElementById('booking').value='';document.getElementById('referencia').value='';"
      onkeyup="document.getElementById('booking').value='';document.getElementById('referencia').value='';"  /></td>
    </tr>
    <tr>
      <td>Booking</td>
      <td align="left"><input type="text" class="aa" name="booking" id="booking" size="40" value="<?=$booking?>" onBlur="document.getElementById('referencia_cliente').value='';document.getElementById('referencia').value='';"
      onkeypress="document.getElementById('referencia_cliente').value='';document.getElementById('referencia').value='';"
      onkeyup="document.getElementById('referencia_cliente').value='';document.getElementById('referencia').value='';" /></td>
    </tr>
    <tr>
    <td colspan="2"><input type="submit" id="submit" name="submit" value="Buscar"/>&nbsp;
    </td>
  </tr>
 </table>
 
 <?
 if($_POST[referencia_cliente]!=''){ 
	 $hijosQ = mysqli_query("select * from referencias_veracruz where referencia_cliente like '".$_POST[referencia_cliente]."%' and referencia_cliente!='".$_POST[referencia_cliente]."' ");
	 if(mysqli_fetch_array($hijosQ)>0){
		 echo '<br>Hijas encontradas:<br>';
		 while($rH=mysqli_fetch_array($hijosQ)){
			 echo $rH[referencia_cliente].'<br>';
		 } 
	 }
 }
?>
 
</form>

<br />
<!--
<a onClick="$('#linkes').toggle(200)" id="menu" class="link">Menú</a><br />

<div id="linkes" style="display:none"><br />
<? if($referencia_cliente!=''){?>
<a target="_self" class="link" href="../registro_booking.php?txtreferencia_cliente=<?=urlencode($referencia_cliente)?>">Registro de Consolidado</a>
<? }elseif($referencia!=''){?>
<a target="_self" class="link" href="../registro_booking.php?referencia=<?=urlencode($referencia)?>">Registro de Consolidado</a>
<? }elseif($booking!=''){?>
<a target="_self" class="link" href="../registro_booking.php?booking=<?=urlencode($booking)?>">Registro de Consolidado</a>
<? } ?>
<? if($referencia_cliente=='' and $referencia=='' and $booking==''){?>
<a target="_self" class="link" href="../registro_booking.php">Registro de Consolidado</a>
<? } ?>
<br />

<? if($referencia_cliente!=''){?>
<a target="_self" class="link" href="../registro_mbl_navieras.php?referencia_cliente=<?=$referencia_cliente?>">Registro MBL navieras</a>
<? }elseif($referencia!=''){?>
<a target="_self" class="link" href="../registro_mbl_navieras.php?referencia=<?=$referencia?>">Registro MBL navieras</a>
<? }elseif($booking!=''){?>
<a target="_self" class="link" href="../registro_mbl_navieras.php?booking=<?=$booking?>">Registro MBL navieras</a>
<? } ?>
<? if($referencia_cliente=='' and $referencia=='' and $booking==''){?>
<a target="_self" class="link" href="../registro_mbl_navieras.php">Registro MBL navieras</a>
<? } ?>
<br />
 
<a target="_blank" class="link" href="../pdf/manifiesto2.php?referencia=<?=$referencia?>&referencia_cliente=<?=$referencia_cliente?>&booking=<?=$booking?>">Manifiesto</a>

<br />

<a target="_blank" class="link" href="../pdf/recibase_master_navieras.php?referencia=<?=$referencia?>&referencia_cliente=<?=$referencia_cliente?>&booking=<?=$booking?>">Recíbase Master Navieras</a>

<br />
<a class="botonExcel" >Status Excel</a>

<br />

<form action="manifiesto_exc.php" method="post" target="_blank" id="FormularioExportacion">
<input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
<input type="hidden" id="titulo" name="titulo" value="<?= 'FECHA DE IMPRESION: ' .date("Y/m/d")?>" />
</form>
-->
<?
/*if($_GET[txtreferencia_cliente]!='') { $referencia_cliente=$_GET[txtreferencia_cliente];}
	if(trim($referencia_cliente)!=''){
			con_ver();
		 
			$rcq1 = mysqli_query("select distinct referencia  from hblexpint where referencia like '".$referencia_cliente."' and referencia<>''");
			$rc1=mysqli_fetch_array($rcq1);
			$tmp_referencia_cliente=$rc1[0];
			$tmp_referencia = busquedaB("select referencia from referencias_veracruz where referencia_cliente = '".$tmp_referencia_cliente."' and referencia_cliente<>''","referencia");
		}
		
		if(trim($referencia)!=''){
			con_ver();
			$valro1 = data("select * from referencias_veracruz where referencia like '".$referencia."' and referencia<>''");
			$tmp_referencia_cliente=$valro1[referencia_cliente];
			$tmp_referencia=$valro1[referencia];
		}*/
?>   <!--     
 <a href="../pdf/articulo10.php?referencia=<?=$tmp_referencia?>&referencia_cliente=<?=$tmp_referencia_cliente?>" class="link" target="_blank">Artículo 10</a><br />
<a href="../pdf/articulo15.php?referencia=<?=$tmp_referencia?>&amp;referencia_cliente=<?=$tmp_referencia_cliente?>" class="link" target="_blank">Artículo 15</a><br />
<a href="../pdf/articulo23.php?referencia=<?=$tmp_referencia?>&referencia_cliente=<?=$tmp_referencia_cliente?>" class="link" target="_blank">Artículo 23 </a><br />
<a href="../pdf/aviso_imo_icave.php?referencia=<?=$tmp_referencia?>&referencia_cliente=<?=$tmp_referencia_cliente?>" class="link" target="_blank">Aviso carga peligrosa </a><br />
<a href="../pdf/arrumazon.php?referencia=<?=$tmp_referencia?>&referencia_cliente=<?=$tmp_referencia_cliente?>" class="link" target="_blank">Certificado de Arrumazón</a><br />
<a href="../pdf/boleta_de_liberacion.php?referencia=<?=$tmp_referencia?>&referencia_cliente=<?=$tmp_referencia_cliente?>" class="link" target="_blank">Boleta de liberación</a><br />-->
</div>

<BR><BR><BR><BR><BR><BR><BR> 
<?
/*con_ver(); //referencia_cliente like '".$tmp_referencia_cliente."' and
if(trim($tmp_referencia_cliente)!='' and trim($tmp_referencia)!=''){
$rcq2 = mysqli_query("select * from datosbooking where  referencia_lpv like '%".trim($tmp_referencia)."%'");
//echo "select * from datosbooking where referencia_cliente = '".$tmp_referencia_cliente."' and referencia_lpv='".$tmp_referencia."'";
$rc2=mysqli_fetch_array($rcq2);
$cont=$rc2[contenedor];
$sel=$rc2[sello];
$solicitud_vacio=$rc2[solicitud_vacio];
$documentado=$rc2[documentado];
$programado=$rc2[programado];
$liberado=$rc2[liberado];
}*/
?>   
<!--<div align="left">         
CONTENEDOR:&nbsp;<b> <?=$cont?></b>&nbsp;&nbsp;SELLO:&nbsp;<b><?=$sel?></b>&nbsp;&nbsp;SOLICI TUD DE VACIO:&nbsp;<b><?=$solicitud_vacio?></b>&nbsp;&nbsp;DOCUMENTADO:&nbsp;<b><?=$documentado?></b>&nbsp;&nbsp;PROGRAMADO:&nbsp;<b><?=$programado?></b>&nbsp;&nbsp;LIBERADO:&nbsp;<b><?=$liberado?></b><br />
</div>-->
<? /*if($interteam==1){?>
<? include("../partidas_bl1.php");?>
<? }elseif($interteam==0){ ?>
<? include("../partidas_bl2.php");?>
<? }elseif($interteam==2){ ?>
<? include("../partidas_bl3.php");?>
<? }elseif($interteam==4){ ?>
<? include("../partidas_bl4.php");?>
<? } */?>


<? include("../partidas_bl5.php");?>
  

<BR />
<? //include("../pie_subnivel1.php");?>
